<?php


namespace App\ViewModels\Consulta\ConsultaRegistrationViewModel;


use App\Utils\Builder;

class RespostaTextualBuilder implements Builder
{
    protected $id_pergunta;
    protected $resposta;

    /**
     * @param int $id_pergunta
     * @return RespostaTextualBuilder
     */
    public function setIdPergunta(int $id_pergunta): RespostaTextualBuilder
    {
        $this->id_pergunta = $id_pergunta;
        return $this;
    }

    /**
     * @param string $resposta
     * @return RespostaTextualBuilder
     */
    public function setResposta(string $resposta): RespostaTextualBuilder
    {
        $this->resposta = $resposta;
        return $this;
    }

    public function build(): RespostaTextual
    {
        $resposta_numerica_decimal = new RespostaTextual();
        $resposta_numerica_decimal->setidpergunta($this->id_pergunta);
        $resposta_numerica_decimal->setresposta($this->resposta);
        return $resposta_numerica_decimal;
    }
}